Skip to main content
`Ctrl`+`K`

# Exceptions and Warnings

General exceptions used by NumPy. Note that some exceptions may be module specific, such as linear algebra errors.

Added in version NumPy: 1.25

The exceptions module is new in NumPy 1.25.

## Warnings

`ComplexWarning` | The warning raised when casting a complex dtype to a real dtype.
`VisibleDeprecationWarning` | Visible deprecation warning.
`RankWarning` | Matrix rank warning.

## Exceptions

`AxisError`(axis[, ndim, msg_prefix]) | Axis supplied was invalid.
`DTypePromotionError` | Multiple DTypes could not be converted to a common one.
`TooHardError` | `max_work` was exceeded.